"This file contains settings for the Save Curve Refinement Settings plug-in"

import os.path
execfile(os.path.join(os.path.dirname(os.path.dirname(__file__)), "commonExec.py")) # Initializes the getModifiedName function
(settings, ) = importFile(__file__, ("caeXML_3DS_IR.kernel.settings", )) # Allows base-package directory to be changed

# Path to the class used for loading the object
(fullClassPath, ) = getModifiedName(__file__, ("caeXML_3DS_IR.curveRefinement.CurveRefinementXML.CurveRefinementXML", ))

# Name of the object being saved
savedObjectName = "Curve Refinement Setting"

# Name of the record where default objects will be stored
defaultRecordname = "defaultRefinementSettings"

# Name of the default file to be loaded/saved
defaultFilename = "RefinementSettings"

# Plug-in Name
pluginName = "Curve Refinement Settings"

# Record Base name
baseName = "Curve Refinement-"

# Unsupported Operations
# Possible values are: Export, Import, Copy, Rename, Delete, Export Defaults, Remove Defaults
unsupportedOperations = (settings.EXPORT_DEFAULT_FLAG, settings.REMOVE_DEFAULT_FLAG)

# Form that will be used to create the dialog box for exporting
exportFormModule = None
exportFormClass = None
